package handler.ws;

import javax.jws.WebMethod;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "ServerInfo", targetNamespace = "http://ws.handler.minhnd.com/")
@XmlSeeAlso({ ObjectFactory.class })
public interface ServerInfo {
	
	/**
	 * 
	 * @return
	 *     returns java.lang.String
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getServerName", targetNamespace = "http://ws.handler.minhnd.com/", className = "com.minhnd.handler.ws.GetServerName")
	@ResponseWrapper(localName = "getServerNameResponse", targetNamespace = "http://ws.handler.minhnd.com/", className = "com.minhnd.handler.ws.GetServerNameResponse")
	@Action(input = "http://ws.handler.minhnd.com/ServerInfo/getServerNameRequest", output = "http://ws.handler.minhnd.com/ServerInfo/getServerNameResponse")
	public String getServerName();
	
}
